<?php
namespace Teknisa\CTB\Services;

use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO;

class ctb53100DemonstracoesContabeisService  {

	protected $demostracaoFactory;
    protected $entityManager;
    
    public function __construct($entityManager, $demostracaoFactory) {
         $this->demostracaoFactory = $demostracaoFactory;
        $this->entityManager  = $entityManager;
 	}
 	
 	public function callProcedureDemonstrativoCTBO ($row){
 	  //Busca Novo Codigo para DEMOCTBOFICIAL
 	  $nrseq = $this->demostracaoFactory->novoCodigoNT('DEMOCTBOFICIAL');
 	  $row['NRDEMO'] = isset($nrseq['P_SEQUENCIAL']) ? $nrseq['P_SEQUENCIAL'] : null;

 	  return $this->demostracaoFactory->callProcedureDemonstrativoCTBO($row);
 	}
 	
 	public function montaRelatorio($reportName, $row){
 	    $parameterRow = array();
        $parameterRow["CDTIPODEMO"] = $row["CDTIPODEMO"];
        $parameterRow["IDDESCENCER"] = $row["IDDESCENCER"];
        $parameterRow["DATAB"] = $row["DATAB"]; 
        $parameterRow["IDSALDO"] = $row["IDSALDO"]; 
        $parameterRow["CDEMPRESA"] = $row["CDEMPRESA"];
        $parameterRow["NMEMPRESA"]  = $row["NMEMPRESA"];
        $parameterRow["NRINSJUREMPR"] = $row["NRINSJUREMPR"];
        $parameterRow["EMPRESAUNICA"] = $row["EMPRESAUNICA"];
        $parameterRow["DATABINTERB"] = $row["DATABINTERB"];
        $parameterRow["DATABINTERA"] = $row["DATABINTERA"];
        $parameterRow["DATAASS"] =  $row["DATAASS"];
        $parameterRow["NRDEMO"] =  $row["NRDEMO"];
        $parameterRow["NMTIPODEMO"] =  $row["NMTIPODEMO"];
        $parameterRow["DATAAINTERA"] =  $row["DATAAINTERA"];
        $parameterRow["SHOWITEMZERA"] =  $row["SHOWITEMZERA"];

        return $this->demostracaoFactory->montaRelatorio($reportName, $parameterRow);
    }
 	
}